// Kernel:
void __global__ getPosition()
{
	int x  = blockIdx.x * blockDim.x + threadIdx.x;
	int y  = blockIdx.y * blockDim.y + threadIdx.y;
	int z  = threadIdx.z; 	// Grids are only 1D or 2D structures, never 3D

	int id =  z * (gridDim.x * blockDim.x) * (gridDim.y * blockDim.y)
			+ y * (gridDim.x * blockDim.x)
			+ x;
}

// CPU Code:
int main (int argc, char const* argv[])
{
	// grid and block sizes:
	dim3 blockSize(128, 64, 8);
	dim3 gridSize(5, 6);

	// execute kernel function on GPU:
	getPosition<<<gridSize, blockSize>>>();

	return 0;
}